Package org.opensaml.saml.ext.saml2mdui.impl

# Class KeywordsImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.ext.saml2mdui.impl.KeywordsImpl

All Implemented Interfaces:
  `LangBearing`, `XMLObject`, `SAMLObject`, `Keywords`

public class KeywordsImpl extends AbstractXMLObject implements Keywords
Concrete implementation of `Keywords`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private List<String>`
`data`
The data.
`private String`
`lang`
The language.

### Fields inherited from interface org.opensaml.saml.ext.saml2mdui.Keywords

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.core.xml.LangBearing

`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`KeywordsImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`List<String>`
`getKeywords()`
Gets the keywords.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getXMLLang()`
Returns the `@xml:lang` attribute value.
`int`
`hashCode()`
`void`
`setKeywords(List<String> val)`
Sets the keywords.
`void`
`setXMLLang(String newLang)`
Sets the `@xml:lang` attribute value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### lang

@Nullable private String lang
The language.

### data

@Nullable private List<String> data
The data.

## Constructor Details

### KeywordsImpl

protected KeywordsImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the URI
  `elementLocalName` - the local name
  `namespacePrefix` - the prefix

## Method Details

### getXMLLang

@Nullable public String getXMLLang()
Returns the `@xml:lang` attribute value.

Specified by:
  `getXMLLang` in interface `LangBearing`
Returns:
  The `@xml:lang` attribute value or `null`.

### setXMLLang

public void setXMLLang(@Nullable String newLang)
Sets the `@xml:lang` attribute value.

Specified by:
  `setXMLLang` in interface `LangBearing`
Parameters:
  `newLang` - The `@xml:lang` attribute value

### getKeywords

@Nullable @NotLive @Unmodifiable public List<String> getKeywords()
Gets the keywords.

Specified by:
  `getKeywords` in interface `Keywords`
Returns:
  the keywords

### setKeywords

public void setKeywords(@Nullable List<String> val)
Sets the keywords.

Specified by:
  `setKeywords` in interface `Keywords`
Parameters:
  `val` - The keywords

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements